<template>
    <p data-testid="message-error" v-if="error">{{ error }}</p>
    <p data-testid="message" v-else>{{ message.text }}</p>
</template>

<script>
    import {getMessage} from '@/services/axios.js'

    export default {
        data() {
            return {
                message: {},
                error: null
            }
        },

        async created() {
            try {
                this.message = await getMessage()
            } catch (err) {
                this.error = 'Oops! Something went wrong.'
            }
        }
    }
</script>